## Class bounded_dump_manip

boost::log::bounded_dump_manip — Manipulator for printing binary representation of the data with a size limit.

## Synopsis

    // In header: <boost/log/utility/manipulators/dump.hpp>

    class bounded_dump_manip : public dump_manip {
    public:
      // construct/copy/destruct
      bounded_dump_manip(const void *, std::size_t, std::size_t) noexcept;
      bounded_dump_manip(bounded_dump_manip const &) noexcept;

      // public member functions
      std::size_t get_max_size() const noexcept;
    };

## Description

### `bounded_dump_manip` public construct/copy/destruct

1.     bounded_dump_manip(const void * data, std::size_t size, std::size_t max_size) noexcept;

2.     bounded_dump_manip(bounded_dump_manip const & that) noexcept;

### `bounded_dump_manip` public member functions

1.     std::size_t get_max_size() const noexcept;